## NAME

gt-readjoiner-prefilter - Remove contained and low-quality reads and encode read set in GtEncseq format.

## SYNOPSIS

gt readjoiner prefilter [option …]

## DESCRIPTION

-readset [string]

  specify the readset name default: filename of first input sequence_file

-db

  specify a list of input libraries (Fasta/FastQ); for single-end libraries use the filename (which is not allowed to contain : symbols); for paired-end libraries with reads interleaved (f,r,f,r,…) in a single file use the notation <filename>:<insertlength>[,<stdev>] (stdev may be omitted); for paired-end with reads in two files (f, r) use the notation <file_f>:<file_r>:<insertlength>[,<stdev>]

-v [yes|no]

  be verbose (default: no)

-q [yes|no]

  suppress standard output messages (default: no)

-des [yes|no]

  store Fasta IDs (or entire descriptionsif used together with -clipdes no) warning: increases the memory requirement (default: no)

-clipdes [yes|no]

  clip Fasta descriptions after first space set to false if you need entire descriptions (default: yes)

-memdes [yes|no]

  use memory storage for descriptions (default: use temporary disk storage)

-maxlow [value]

  maximal number of low-quality positions in a read default: infinite

-lowqual [value]

  maximal quality for a position to be considered low-quality (default: 3)

-phred64 [yes|no]

  use phred64 scores for FastQ format (default: no)

-help

  display help for basic options and exit

-help+

  display help for all options and exit

-version

  display version information and exit

## REPORTING BUGS

Report bugs to https://github.com/genometools/genometools/issues.